Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.record.flow.trace.operation.constructor.object
Class BeforeConstructorObjectEvent

    java.lang.Object
      kieker.common.record.AbstractMonitoringRecord
          kieker.common.record.flow.AbstractEvent
              kieker.common.record.flow.trace.AbstractTraceEvent
                  kieker.common.record.flow.trace.operation.AbstractOperationEvent
                      kieker.common.record.flow.trace.operation.BeforeOperationEvent
                          kieker.common.record.flow.trace.operation.constructor.BeforeConstructorEvent
                              kieker.common.record.flow.trace.operation.constructor.object.BeforeConstructorObjectEvent

All Implemented Interfaces:
  Serializable, Comparable<IMonitoringRecord>, IClassSignature, IConstructorRecord, IEventRecord, IFlowRecord, IObjectRecord, IOperationRecord, IOperationSignature, ITraceRecord, IMonitoringRecord, IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory

Direct Known Subclasses:
  BeforeConstructorObjectInterfaceEvent

    public class BeforeConstructorObjectEvent

extends BeforeConstructorEvent
implements IObjectRecord

Since:
  1.6
Author:
  Jan Waller
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.common.record.IMonitoringRecord
`IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory`

Field Summary
`static int` | `SIZE` Descriptive definition of the serialization size of the record.
`static Class<?>[]` | `TYPES`

Fields inherited from class kieker.common.record.AbstractMonitoringRecord
`TYPE_SIZE_BOOLEAN, TYPE_SIZE_BYTE, TYPE_SIZE_CHARACTER, TYPE_SIZE_DOUBLE, TYPE_SIZE_FLOAT, TYPE_SIZE_INT, TYPE_SIZE_LONG, TYPE_SIZE_SHORT, TYPE_SIZE_STRING`

Constructor Summary
`BeforeConstructorObjectEvent(ByteBuffer buffer, IRegistry<String> stringRegistry)` This constructor converts the given array into a record.
`BeforeConstructorObjectEvent(long timestamp, long traceId, int orderIndex, String operationSignature, String classSignature, int objectId)` Creates a new instance of this class using the given parameters.
`BeforeConstructorObjectEvent(Object[] values)` This constructor converts the given array into a record.

Method Summary
`int` | `getObjectId()`
`int` | `getSize()` This method should deliver the size of a binary representation of this record.
`Class<?>[]` | `getValueTypes()` This method should deliver an array with the classes of the single values for the record.
`void` | `initFromArray(Object[] values)` Deprecated. This record uses the `IMonitoringRecord.Factory` mechanism. Hence, this method is not implemented.
`void` | `initFromBytes(ByteBuffer buffer, IRegistry<String> stringRegistry)` Deprecated. This record uses the `IMonitoringRecord.BinaryFactory` mechanism. Hence, this method is not implemented.
`Object[]` | `toArray()` This method should deliver an array containing the content of the record.
`void` | `writeBytes(ByteBuffer buffer, IRegistry<String> stringRegistry)` This method should deliver an byte array containing the content of the record.

Methods inherited from class kieker.common.record.flow.trace.operation.AbstractOperationEvent
`getClassSignature, getOperationSignature`

Methods inherited from class kieker.common.record.flow.trace.AbstractTraceEvent
`getOrderIndex, getTraceId`

Methods inherited from class kieker.common.record.flow.AbstractEvent
`getTimestamp`

Methods inherited from class kieker.common.record.AbstractMonitoringRecord
`checkArray, classForName, compareTo, createFromArray, createFromByteBuffer, createFromStringArray, equals, fromStringArrayToTypedArray, getLoggingTimestamp, hashCode, setLoggingTimestamp, toString, typesForClass`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kieker.common.record.flow.IClassSignature
`getClassSignature`

Methods inherited from interface kieker.common.record.IMonitoringRecord
`getLoggingTimestamp, setLoggingTimestamp, toString`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface kieker.common.record.flow.IOperationSignature
`getOperationSignature`

Field Detail

### SIZE

    public static final int SIZE

  Descriptive definition of the serialization size of the record.

  See Also:
    Constant Field Values

### TYPES

    public static final Class<?>[] TYPES

Constructor Detail

### BeforeConstructorObjectEvent

    public BeforeConstructorObjectEvent(long timestamp,
                                        long traceId,
                                        int orderIndex,
                                        String operationSignature,
                                        String classSignature,
                                        int objectId)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `timestamp` - timestamp
    `traceId` - traceId
    `orderIndex` - orderIndex
    `operationSignature` - operationSignature
    `classSignature` - classSignature
    `objectId` - objectId

### BeforeConstructorObjectEvent

    public BeforeConstructorObjectEvent(Object[] values)

  This constructor converts the given array into a record. It is recommended to use the array which is the result of a call to `toArray()`.

  Parameters:
    `values` - The values for the record.

### BeforeConstructorObjectEvent

    public BeforeConstructorObjectEvent(ByteBuffer buffer,
                                        IRegistry<String> stringRegistry)
                                 throws BufferUnderflowException

  This constructor converts the given array into a record.

  Parameters:
    `buffer` - The bytes for the record.
  Throws:
    `BufferUnderflowException` - if buffer not sufficient

Method Detail

### toArray

    public Object[] toArray()

  This method should deliver an array containing the content of the record. It should be possible to convert this array later into a record again.

  Specified by:
    `toArray` in interface `IMonitoringRecord`
  Overrides:
    `toArray` in class `BeforeConstructorEvent`
  Returns:
    An array with the values of the record.

### writeBytes

    public void writeBytes(ByteBuffer buffer,
                           IRegistry<String> stringRegistry)
                    throws BufferOverflowException

  This method should deliver an byte array containing the content of the record. It should be possible to convert this array later into a record again.

  Specified by:
    `writeBytes` in interface `IMonitoringRecord`
  Overrides:
    `writeBytes` in class `BeforeConstructorEvent`
  Parameters:
    `buffer` - The used ByteBuffer with sufficient capacity
    `stringRegistry` - Usually the associated MonitoringController
  Throws:
    `BufferOverflowException` - if buffer not sufficient

### getValueTypes

    public Class<?>[] getValueTypes()

  This method should deliver an array with the classes of the single values for the record.

  Specified by:
    `getValueTypes` in interface `IMonitoringRecord`
  Overrides:
    `getValueTypes` in class `BeforeConstructorEvent`
  Returns:
    The types of the values. This returned array should be treated readonly.
  See Also:
    `IMonitoringRecord.toArray()`

### getSize

    public int getSize()

  This method should deliver the size of a binary representation of this record.

  Specified by:
    `getSize` in interface `IMonitoringRecord`
  Overrides:
    `getSize` in class `BeforeConstructorEvent`
  Returns:
    The size.

### initFromArray

    @Deprecated
    public void initFromArray(Object[] values)

  Deprecated. This record uses the `IMonitoringRecord.Factory` mechanism. Hence, this method is not implemented.

  This method should initialize the record based on the given values. The array should be one of those resulting from a call to `IMonitoringRecord.toArray()`.

  Specified by:
    `initFromArray` in interface `IMonitoringRecord`
  Overrides:
    `initFromArray` in class `BeforeConstructorEvent`
  Parameters:
    `values` - The values for the record.

### initFromBytes

    @Deprecated
    public void initFromBytes(ByteBuffer buffer,
                                         IRegistry<String> stringRegistry)
                       throws BufferUnderflowException

  Deprecated. This record uses the `IMonitoringRecord.BinaryFactory` mechanism. Hence, this method is not implemented.

  This method should initialize the record based on the given values. The array should be one of those resulting from a call to `IMonitoringRecord.writeBytes(ByteBuffer, IRegistry)`.

  Specified by:
    `initFromBytes` in interface `IMonitoringRecord`
  Overrides:
    `initFromBytes` in class `BeforeConstructorEvent`
  Parameters:
    `buffer` - The bytes for the record.
    `stringRegistry` - The Registry storing the strings.
  Throws:
    `BufferUnderflowException` - if buffer not sufficient

### getObjectId

    public final int getObjectId()

  Specified by:
    `getObjectId` in interface `IObjectRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net